[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# StretchDraw

Draws the scaled image sized to the target rectangle.

## Declaration

Source position: imglist.pp line 208

`procedure TScaledImageListResolution.StretchDraw(`
`Canvas: TCanvas;`
`Index: Integer;`
`ARect: TRect;`
`Enabled: Boolean = True`
`);`

## Arguments

`Index` |  | Ordinal position for the image drawn in method.
`ARect` |  | Rectangle with the coordinates where the image is drawn on the canvas.
`Enabled` |  | True if the image is drawn in the enabled state.

## Description

Calls the StretchDraw method in the Resolution member.

## See also

TCustomImageListResolution.StretchDraw |  | Draws an image stretched to the dimensions for the target rectangle.